package com.bonus.sgzb.base.domain;

import com.bonus.sgzb.common.core.annotation.Excel;
import com.bonus.sgzb.common.core.web.domain.BaseEntity;

/**
 * 机具类型文件ma_type_file(MaTypeFile)表实体类
 *
 * @author makejava
 * @since 2023-11-28 11:08:29
 */

@SuppressWarnings("serial")
public class MaTypeFile extends BaseEntity {

    private static final long serialVersionUID = 1L;

    //类型ID
    @Excel(name = "类型ID")
    private Long typeId;

    //机具ID
    @Excel(name = "机具ID")
    private String maId;

    //文件名称
    @Excel(name = "文件名称")
    private String fileName;

    //文件地址
    @Excel(name = "文件地址")
    private String fileUrl;

    //上传文件类型（数据字典）
    @Excel(name = "上传文件类型（数据字典）")
    private String fileType;

    //上传人
    @Excel(name = "上传人")
    private String userId;

    //帐号状态（0正常 1停用）
    @Excel(name = "帐号状态（0正常 1停用）")
    private String status;

    //数据所属组织
    @Excel(name = "数据所属组织")
    private String companyId;

    public Long getTypeId() {
        return typeId;
    }

    public void setTypeId(Long typeId) {
        this.typeId = typeId;
    }

    public String getMaId() {
        return maId;
    }

    public void setMaId(String maId) {
        this.maId = maId;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public String getFileType() {
        return fileType;
    }

    public void setFileType(String fileType) {
        this.fileType = fileType;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }
}

